Package be.e_contract.ejsf.component.platform

# Enum Class Platform

java.lang.Object
java.lang.Enum<Platform>
be.e_contract.ejsf.component.platform.Platform

All Implemented Interfaces:
  `Serializable`, `Comparable<Platform>`, `java.lang.constant.Constable`

public enum Platform extends Enum<Platform>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FREEBSD`
`LINUX`
`MACOS`
`UNKNOWN`
`WINDOWS`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`static final Platform`
`toPlatform(String name)`
`static Platform`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Platform[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WINDOWS

public static final Platform WINDOWS

### MACOS

public static final Platform MACOS

### LINUX

public static final Platform LINUX

### FREEBSD

public static final Platform FREEBSD

### UNKNOWN

public static final Platform UNKNOWN

## Method Details

### values

public static Platform[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Platform valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### toPlatform

public static final Platform toPlatform(String name)